### Method

# AppStream Review add_metadata

since: 0.14.0

#### Declaration [src]

    void
    as_review_add_metadata (
      AsReview* review,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Adds metadata to the review object. It is left for the the plugin to use this method as required, but a typical use would be to store some secure authentication token.

Available since: 0.14.0

#### Parameters

`key`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.